### Method

# Ide Task return_boxed

#### Declaration

    void
    ide_task_return_boxed (
      IdeTask* self,
      GType result_type,
      gpointer result
    )

#### Description

This is similar to ide_task_return_pointer(), but allows the task to know the boxed `GType` so that the result may be propagated to chained tasks.

Available since: | 3.32
This method is not directly available to language bindings.

#### Parameters

`result_type` | `GType`
| The `GType` of the boxed type.
`result` | `gpointer`
| The result to be returned.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.